package com.bytedance.android.livesdk.model.message;

import X.GuA;
import X.HKs;
import X.TJY;
import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.model.Portal;
import com.bytedance.android.livesdkapi.message.CommonMessageData;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class PortalMessage extends GuA {
    @c(LIZ = "type")
    public int LIZ;
    @c(LIZ = "portal_id")
    public long LIZIZ;
    @c(LIZ = "room_id")
    public long LIZJ;
    @c(LIZ = "portal_buy")
    public PortalBuy LIZLLL;
    @c(LIZ = "portal_invite")
    public PortalInvite LJ;
    @c(LIZ = "portal_finish")
    public PortalFinish LJFF;
    @c(LIZ = "payload")
    public TJY LJI;
    @c(LIZ = "portal")
    public Portal LJII;
    @c(LIZ = "next_ping_time")
    public Long LJIIIIZZ;

    public static class PortalBuy implements TJY {
        @c(LIZ = "sugar_daddy")
        public User LIZ;

        static {
            Covode.recordClassIndex(19120);
        }
    }

    public static class PortalFinish implements TJY {
        @c(LIZ = "lucky_person")
        public User LIZ;

        static {
            Covode.recordClassIndex(19121);
        }
    }

    public static class PortalInvite implements TJY {
        @c(LIZ = "invite_count_down")
        public long LIZ;
        @c(LIZ = "reward_count_down")
        public long LIZIZ;
        @c(LIZ = "sugar_daddy")
        public User LIZJ;
        @c(LIZ = "anchor")
        public User LIZLLL;
        @c(LIZ = "cover")
        public ImageModel LJ;

        static {
            Covode.recordClassIndex(19122);
        }
    }

    static {
        Covode.recordClassIndex(19119);
    }

    public final boolean LIZ() {
        return true;
    }

    public PortalMessage() {
        this.LJJIL = HKs.PORTAL_MESSAGE;
    }

    public final boolean LIZIZ() {
        CommonMessageData commonMessageData = this.LJJJJ;
        if (commonMessageData == null || commonMessageData.LJIIIZ == null) {
            return false;
        }
        return true;
    }

    public final void LIZJ() {
        int i = this.LIZ;
        if (i == 1) {
            this.LJI = this.LIZLLL;
        } else if (i == 2) {
            this.LJI = this.LJ;
        } else if (i == 3) {
            this.LJI = this.LJFF;
        }
    }
}
